package ctop.bytedance.ad.advertise.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 头条组dplink标识创建记录
 * @author jeecg-boot
 * @date   2021-04-26
 * @version V1.0
 */
@Data
@TableName("ctop_ai_bytedance_campaign_dplink_info")
public class AiBytedanceCampaignDplinkInfo {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**name*/
	private String name;
	/**startIndex*/
	private Integer startIndex;
	/**endIndex*/
	private Integer endIndex;
	/**status*/
	private Integer status;
	/**创建id*/
	private Long campaignId;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;
	/**accountId*/
	private Long accountId;
	/**strategyId*/
	private Long strategyId;
}
