package ctop.bytedance.ad.advertise.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.lettuce.core.dynamic.annotation.Param;
import ctop.bytedance.ad.advertise.entity.AiBytedanceAdvertiserStrategy;
import ctop.bytedance.ad.advertise.entity.UpdAdStaOrCpaOrBudget;

/**
 * 头条智能投放账户配置信息表
 * @author jeecg-boot
 * 2021-04-20
 * @version V1.0
 */
public interface AiBytedanceAdvertiserStrategyMapper extends BaseMapper<AiBytedanceAdvertiserStrategy> {


    Integer updStaByAccountId(@Param("accountId") String accountId,@Param("creativeImageMode")String creativeImageMode,@Param("state") String state,@Param("id") String id);

    Integer updStaById(@Param("id") String id,@Param("state") String state);

    Integer updCpaById(UpdAdStaOrCpaOrBudget updAdStaOrCpaOrBudget);

    Integer updBudgetById(@Param("id") String id,@Param("budget") String budget,@Param("budgetType") String budgetType);

}
