package ctop.bytedance.ad.advertise.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import ctop.bytedance.ad.advertise.entity.BytedanceImageInfo;

import java.util.List;

/**
 * 头条图片素材
 * @author: jeecg-boot
 * @date:   2020-08-01
 * @cersion: V1.0
 */
public interface BytedanceImageInfoMapper extends BaseMapper<BytedanceImageInfo> {

    void replaceBatch(@Param(value = "imageInfos")List<BytedanceImageInfo> imageInfos);

    void updateImageVerticalType();

    void updateImageHorizonType();
}
