package ctop.bytedance.ad.advertise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import ctop.bytedance.ad.advertise.entity.ByteDanceCreativeWordPackage;
import ctop.bytedance.ad.advertise.entity.ByteDanceGeneralCopywriter;

import java.util.List;

/**
 * 通用文案库
 * @author jeecg-boot
 * 2021-05-28
 * @version V1.0
 */
public interface IByteDanceGeneralCopywriterService extends IService<ByteDanceGeneralCopywriter> {
    Result getGeneralCopywriterReport(String userId, String accountId, String keyWord,Integer status, String startTime, String endTime, Integer pageNum, Integer pageSize);

    public ByteDanceCreativeWordPackage selectCreativeWordPackageByName(String name);

    List<ByteDanceGeneralCopywriter> selectAllDataByTextCopywriter(String textCopywriter);
}
