package ctop.bytedance.ad.common.controller;

import ctop.bytedance.ad.common.service.IMaterialImageInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * Administrator
 * 2021/4/26
 **/

@RestController
public class FileController {
    @Autowired
    private IMaterialImageInfoService materialImageInfoService;
    /**
     * 检查自己数据库 ctop_material_image_info 是否有图片素材
     * @param code
     * @param videoId
     * @return
     */
    @RequestMapping("/bytedance/ad/file/imageCheck")
    public Map<String, Object> imageCheck(String code, String videoId) {
        return materialImageInfoService.checkMaterialInfo(code, videoId);
    }
}