package ctop.bytedance.ad.report.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.lettuce.core.dynamic.annotation.Param;
import ctop.bytedance.ad.report.entity.BytedanceReportMaterialDaily;

import java.util.List;
import java.util.Map;


/**
 * 素材报表
 * @author: jeecg-boot
 * @date:   2021-05-18
 * @cersion: V1.0
 */
public interface BytedanceReportMaterialDailyMapper extends BaseMapper<BytedanceReportMaterialDaily> {
    List<Map<String,Object>> selectMaterialDailyReportByAccountId(@Param("accountId") String accountId, @Param("startTime") String startTime, @Param("endTime") String endTime);
}
