package cn.com.ctop.common.module.entity;

import lombok.Data;
import org.jeecg.common.aspect.annotation.Document;
import org.jeecg.common.aspect.annotation.EsId;
import org.jeecg.common.aspect.annotation.FieId;
import org.jeecg.common.constant.AnalyzerType;
import org.jeecg.common.constant.FieldType;

import java.io.Serializable;

@Data
@Document(index = "data_labels", type = "lable")
public class DataLabels implements Serializable {
    private static final long serialVersionUID = 1L;
    @EsId
    @FieId(type = FieldType.KEYWORD)
    private String id;
    @FieId(type = FieldType.KEYWORD,analyzer = AnalyzerType.IK_SMART)
    private String content;
    @FieId(type = FieldType.KEYWORD)
    private Integer size;
}
