package cn.com.ctop.kuaishou.modules.dimension.service;

import cn.com.ctop.kuaishou.modules.dimension.entity.KuaiShouDimensionMaterial;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * 多维度测试素材列表
 *
 * @author jeecg-boot
 * 2021-07-23
 * @version V1.0
 */
public interface IKuaiShouDimensionMaterialService extends IService<KuaiShouDimensionMaterial> {

    void addBatch(List<KuaiShouDimensionMaterial> dimensionMaterials);

    PageInfo<List<JSONObject>> getVideoList(Map<String, Object> requestMap, Integer pageNo, Integer pageSize);

    String getSignatureByPhotoId(Long photoId);
}
