package cn.com.ctop.kuaishou.modules.material.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 快手视频报表信息
 * @author jeecg-boot
 * @date   2021-02-20
 * @version V1.0
 */
@Data
@TableName("ctop_etl_kuaishou_video_info")
public class EtlKuaishouVideoInfo {

	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**视频唯一标识*/
	private String videoCode;
	private String videoName;
	/**初次产生消耗时间*/
	private Date stateDate;
	/**url*/
	private String url;
	/**coverUrl*/
	private String coverUrl;
	/**渠道类型*/
	private String channelType;
	/**渠道名称*/
	private String channelName;
	/**planId*/
	private String planId;
	/**planName*/
	private String planName;
	/**clipId*/
	private String clipId;
	/**clipName*/
	private String clipName;
	/**shotId*/
	private String shotId;
	/**shotName*/
	private String shotName;
	/**designTeamLeaderId*/
	private String designTeamLeaderId;
	/**designTeamLeaderName*/
	private String designTeamLeaderName;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;
}
