package ctop.bytedance.ad;

import com.alibaba.dubbo.config.spring.context.annotation.EnableDubbo;
import org.apache.shiro.spring.boot.autoconfigure.ShiroAnnotationProcessorAutoConfiguration;
import org.apache.shiro.spring.boot.autoconfigure.ShiroAutoConfiguration;
import org.apache.shiro.spring.boot.autoconfigure.ShiroBeanAutoConfiguration;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication(exclude = {ShiroAnnotationProcessorAutoConfiguration.class, ShiroAutoConfiguration.class, ShiroBeanAutoConfiguration.class})
@EnableDubbo
@ComponentScan(basePackages = {"ctop.bytedance.ad","org.jeecg"})
public class JeecgBootBytedanceAdApplication {
    public static void main(String[] args) {
        SpringApplication.run(JeecgBootBytedanceAdApplication.class, args);
    }
}
