package ctop.bytedance.ad.advertise.service;

import com.baomidou.mybatisplus.extension.service.IService;
import ctop.bytedance.ad.advertise.entity.ByteDanceCampaign;
import ctop.bytedance.ad.advertise.vo.BytedanceCampaignEditVo;
import ctop.bytedance.ad.common.entity.CtopOauthToken;

import java.util.Map;

/**
 * @Description: 今日头条广告组信息
 * @Author: jeecg-boot
 * @Date: 2019-07-22
 * @Version: V1.0
 */
public interface IByteDanceCampaignService extends IService<ByteDanceCampaign> {
    Map<String, Object> getAdvertiserCampaign(CtopOauthToken token, String ids, String date);
    Map<String, Object> updateCampaign(BytedanceCampaignEditVo editVo);
    ByteDanceCampaign getOneByParams(Long accountId, String campaignName);
}
