package cn.com.ctop.common.module.mapper;

import cn.com.ctop.common.module.entity.SysUserDepart;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.common.system.entity.SysUser;

import java.util.List;

/**
 * @author jeecg-boot
 * 2019年12月5日19:57:58
 */
public interface SysUserDepartMapper extends BaseMapper<SysUserDepart>{

    List<SysUserDepart> getUserDepartByUid(@Param("userId") String userId);

	SysUserDepart getUserDepartByUserId(@Param("userId") String userId);

    List<String> getUserIds(@Param("ids") List<String> ids);

    /**
     * 根据部门查询部门用户
     * @param page
     * @param orgCode
     * @param username
     * @param realname
     * @return
     */
    IPage<SysUser> queryDepartUserPageList(Page<SysUser> page, @Param("orgCode") String orgCode, @Param("username") String username, @Param("realname") String realname);

    /**
     *  查询指定部门下的用户 并且支持用户真实姓名模糊查询
     * @param orgCode
     * @param realname
     * @return
     */
    List<SysUser> queryDepartUserList(@Param("orgCode") String orgCode, @Param("realname") String realname);

}
